AGDownloadHandler (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.http.handler, class: AGDownloadHandler

Package com.franz.agraph.http.handler

# Class AGDownloadHandler

java.lang.Object
com.franz.agraph.http.handler.AGResponseHandler
com.franz.agraph.http.handler.AGDownloadHandler

public class AGDownloadHandler extends AGResponseHandler
A response handler that writes the returned body to a file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGDownloadHandler(File file)`
  Creates a download handler that does not specify the MIME type.
  `AGDownloadHandler(File file, String mimeType)`
  Creates a download handler.
  `AGDownloadHandler(File file, org.eclipse.rdf4j.query.resultio.BooleanQueryResultFormat format)`
  Creates a download handler that requests results in specified boolean format.
  `AGDownloadHandler(File file, org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format)`
  Creates a download handler that requests results in specified tuple format.
  `AGDownloadHandler(File file, org.eclipse.rdf4j.rio.RDFFormat format)`
  Creates a download handler that requests results in specified RDF format.
  `AGDownloadHandler(String file)`
  Creates a download handler that does not specify the MIME type.
  `AGDownloadHandler(String file, String mimeType)`
  Creates a download handler.
  `AGDownloadHandler(String file, org.eclipse.rdf4j.query.resultio.BooleanQueryResultFormat format)`
  Creates a download handler that requests results in specified boolean format.
  `AGDownloadHandler(String file, org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format)`
  Creates a download handler that requests results in specified tuple format.
  `AGDownloadHandler(String file, org.eclipse.rdf4j.rio.RDFFormat format)`
  Creates a download handler that requests results in specified RDF format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest)`

  ### Methods inherited from class com.franz.agraph.http.handler.AGResponseHandler

  `getRequestMIMEType, releaseConnection`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGDownloadHandler

    public AGDownloadHandler(File file, String mimeType)
    Creates a download handler.
    Parameters:
      `file` - Output path.
      `mimeType` - MIME type to be requested from the server.

  - ### AGDownloadHandler

    public AGDownloadHandler(String file, String mimeType)
    Creates a download handler.
    Parameters:
      `file` - Output path.
      `mimeType` - MIME type to be requested from the server.

  - ### AGDownloadHandler

    public AGDownloadHandler(File file)
    Creates a download handler that does not specify the MIME type.

    The server is free to return any content type.

    Parameters:
      `file` - Output path.

  - ### AGDownloadHandler

    public AGDownloadHandler(String file)
    Creates a download handler that does not specify the MIME type.

    The server is free to return any content type.

    Parameters:
      `file` - Output path.

  - ### AGDownloadHandler

    public AGDownloadHandler(File file, org.eclipse.rdf4j.rio.RDFFormat format)
    Creates a download handler that requests results in specified RDF format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

  - ### AGDownloadHandler

    public AGDownloadHandler(String file, org.eclipse.rdf4j.rio.RDFFormat format)
    Creates a download handler that requests results in specified RDF format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

  - ### AGDownloadHandler

    public AGDownloadHandler(File file, org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format)
    Creates a download handler that requests results in specified tuple format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

  - ### AGDownloadHandler

    public AGDownloadHandler(String file, org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format)
    Creates a download handler that requests results in specified tuple format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

  - ### AGDownloadHandler

    public AGDownloadHandler(File file, org.eclipse.rdf4j.query.resultio.BooleanQueryResultFormat format)
    Creates a download handler that requests results in specified boolean format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

  - ### AGDownloadHandler

    public AGDownloadHandler(String file, org.eclipse.rdf4j.query.resultio.BooleanQueryResultFormat format)
    Creates a download handler that requests results in specified boolean format.
    Parameters:
      `file` - Output path.
      `format` - Format to return the data in.

- ## Method Details

  - ### handleResponse

    public void handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest) throws IOException, AGHttpException
    Specified by:
      `handleResponse` in class `AGResponseHandler`
    Throws:
      `IOException`
      `AGHttpException`